Sigil-0.9.12 Released

Sigil-0.9.12

This is a buggy version of Sigil. Don’t use it. If you have good backups of your Sigil 0.9.10 (or earlier) preferences, roll back to Sigil 0.9.10 and restore your backed up preferences. If you don’t have backups of your Sigil 0.9.10 (or earlier) preferences, roll back to Sigil 0.9.10 anyway and recreate your preferences as best you can from within Sigil’s UI. Those preferences will be usable with the release of Sigil that follows 0.9.12.


This Sigil release is primarily to address bugs introduced by the upgrade to Qt5.11.2 and Python 3.7 in the previous Sigil release.

Bug Fixes

  • fix typo in cssreformatter that caused errors with @ fontface (issue #394)
  • workaround for qt bug affecting tab close buttons on Mac (commit f3b9399)
  • fix Mac Qt5 plugin dylibs that macdeployqt broke in Sigil-0.9.11

Be aware that Sigil-0.9.12 still enforces the need for epub3 to have and support an NCX so that it generates as backward a compatible epub as possible. This may be relaxed in future releases.


Please check the Sigil Wiki for important Sigil support links, additional resource downloads, and platform-specific trouble-shooting tips/requirements.